<?php
/**
 * Forest Adventure Tour functions and definitions
 *
 * @subpackage Forest Adventure Tour
 * @since 1.0
 */

include get_theme_file_path( 'vendor/wptrt/autoload/src/Forest_Adventure_Tour_Loader.php' );

$Forest_Adventure_Tour_Loader = new \WPTRT\Autoload\Forest_Adventure_Tour_Loader();

$Forest_Adventure_Tour_Loader->forest_adventure_tour_add( 'WPTRT\\Customize\\Section', get_theme_file_path( 'vendor/wptrt/customize-section-button/src' ) );

$Forest_Adventure_Tour_Loader->forest_adventure_tour_register();

function forest_adventure_tour_setup() {
	
	load_theme_textdomain( 'forest-adventure-tour', get_template_directory() . '/languages' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'title-tag' );
	add_theme_support( 'responsive-embeds' );
	add_theme_support( 'html5', array( 'comment-list', 'search-form', 'comment-form', ) );
	add_theme_support( 'woocommerce' );
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'custom-background', $defaults = array(
	    'default-color'          => '',
	    'default-image'          => '',
	    'default-repeat'         => '',
	    'default-position-x'     => '',
	    'default-attachment'     => '',
	    'wp-head-callback'       => '_custom_background_cb',
	    'admin-head-callback'    => '',
	    'admin-preview-callback' => ''
	));

	$GLOBALS['content_width'] = 525;
	register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'forest-adventure-tour' ),
	) );

	// Add theme support for Custom Logo.
	add_theme_support( 'custom-logo', array(
		'width'       => 250,
		'height'      => 250,
		'flex-width'  => true,
	) );

	// Add theme support for selective refresh for widgets.
	add_theme_support( 'customize-selective-refresh-widgets' );

	/*
	 * This theme styles the visual editor to resemble the theme style,
	 * specifically font, colors, and column width.
 	 */
	add_editor_style( array( 'assets/css/editor-style.css' ) );

}
add_action( 'after_setup_theme', 'forest_adventure_tour_setup' );

function forest_adventure_tour_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Blog Sidebar', 'forest-adventure-tour' ),
		'id'            => 'sidebar-1',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'forest-adventure-tour' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<div class="widget_container"><h2 class="widget-title">',
		'after_title'   => '</h2></div>',
	) );

	register_sidebar( array(
		'name'          => __( 'Sidebar 2', 'forest-adventure-tour' ),
		'id'            => 'sidebar-2',
		'description'   => __( 'Add widgets here to appear in your pages and posts', 'forest-adventure-tour' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<div class="widget_container"><h2 class="widget-title">',
		'after_title'   => '</h2></div>',
	) );

	register_sidebar( array(
		'name'          => __( 'Sidebar 3', 'forest-adventure-tour' ),
		'id'            => 'sidebar-3',
		'description'   => __( 'Add widgets here to appear in your pages and posts', 'forest-adventure-tour' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<div class="widget_container"><h2 class="widget-title">',
		'after_title'   => '</h2></div>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 1', 'forest-adventure-tour' ),
		'id'            => 'footer-1',
		'description'   => __( 'Add widgets here to appear in your footer.', 'forest-adventure-tour' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 2', 'forest-adventure-tour' ),
		'id'            => 'footer-2',
		'description'   => __( 'Add widgets here to appear in your footer.', 'forest-adventure-tour' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 3', 'forest-adventure-tour' ),
		'id'            => 'footer-3',
		'description'   => __( 'Add widgets here to appear in your footer.', 'forest-adventure-tour' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 4', 'forest-adventure-tour' ),
		'id'            => 'footer-4',
		'description'   => __( 'Add widgets here to appear in your footer.', 'forest-adventure-tour' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );
}
add_action( 'widgets_init', 'forest_adventure_tour_widgets_init' );

function forest_adventure_tour_fonts_url(){

	$font_families = array(
		'Roboto:wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900'
		
// 		<link rel="preconnect" href="https://fonts.googleapis.com">
// <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
// <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap" rel="stylesheet">
	);

	$fonts_url = add_query_arg( array(
		'family' => implode( '&family=', $font_families ),
		'display' => 'swap',
	), 'https://fonts.googleapis.com/css2' );

	$contents = wptt_get_webfont_url( esc_url_raw( $fonts_url ) );
	return $contents;
}

//Enqueue scripts and styles.
function forest_adventure_tour_scripts() {
	// Add custom fonts, used in the main stylesheet.
	wp_enqueue_style( 'forest-adventure-tour-fonts', forest_adventure_tour_fonts_url(), array(), null );
	
	//Bootstarp 
	wp_enqueue_style( 'bootstrap-css', get_template_directory_uri().'/assets/css/bootstrap.css' );
	


	wp_enqueue_style( 'owlcarousel-css', get_template_directory_uri().'/assets/css/owl.carousel.css' );
	wp_enqueue_style( 'owl-carousel-min-css', get_template_directory_uri().'/assets/css/owl.carousel.min.css' );
	wp_enqueue_style( 'owl-theme-css', get_template_directory_uri().'/assets/css/owl.theme.css' );
	wp_enqueue_style( 'owl-theme-default-min-css', get_template_directory_uri().'/assets/css/owl.theme.default.min.css' );


	
	// Theme stylesheet.
	wp_enqueue_style( 'forest-adventure-tour-basic-style', get_stylesheet_uri() );

	// Load the Internet Explorer 9 specific stylesheet, to fix display issues in the Customizer.
	if ( is_customize_preview() ) {
		wp_enqueue_style( 'forest-adventure-tour-ie9', get_theme_file_uri( '/assets/css/ie9.css' ), array( 'forest-adventure-tour-style' ), '1.0' );
		wp_style_add_data( 'forest-adventure-tour-ie9', 'conditional', 'IE 9' );
	}
	// Load the Internet Explorer 8 specific stylesheet.
	wp_enqueue_style( 'forest-adventure-tour-ie8', get_theme_file_uri( '/assets/css/ie8.css' ), array( 'forest-adventure-tour-style' ), '1.0' );
	wp_style_add_data( 'forest-adventure-tour-ie8', 'conditional', 'lt IE 9' );

	//font-awesome
	wp_enqueue_style( 'font-awesome-css', get_template_directory_uri().'/assets/css/fontawesome-all.css' );

	wp_enqueue_style('custom-animations', get_template_directory_uri() . '/assets/css/animations.css');

	require get_parent_theme_file_path( '/lz-custom-style.php' );
	wp_add_inline_style( 'forest-adventure-tour-basic-style',$forest_adventure_tour_custom_style );

	wp_enqueue_script( 'bootstrap-js', get_template_directory_uri(). '/assets/js/bootstrap.js', array('jquery') );

	wp_enqueue_script( 'owl-carousel-old', get_template_directory_uri(). '/assets/js/owl.carousel-old.js', array('jquery') );
	wp_enqueue_script( 'owl-carousel', get_template_directory_uri(). '/assets/js/owl.carousel.js', array('jquery') );
	wp_enqueue_script( 'owl-carousel-min', get_template_directory_uri(). '/assets/js/owl.carousel.min.js', array('jquery') );
	wp_enqueue_script( 'slider', get_template_directory_uri(). '/assets/js/slider.js', array('jquery') );



	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'forest_adventure_tour_scripts' );

function forest_adventure_tour_front_page_template( $template ) {
	return is_home() ? '' : $template;
}
add_filter( 'frontpage_template',  'forest_adventure_tour_front_page_template' );

function forest_adventure_tour_sanitize_dropdown_pages( $page_id, $setting ) {
	// Ensure $input is an absolute integer.
	$page_id = absint( $page_id );
	// If $page_id is an ID of a published page, return it; otherwise, return the default.
	return ( 'publish' == get_post_status( $page_id ) ? $page_id : $setting->default );
}

function forest_adventure_tour_sanitize_choices( $input, $setting ) {
    global $wp_customize; 
    $control = $wp_customize->get_control( $setting->id ); 
    if ( array_key_exists( $input, $control->choices ) ) {
        return $input;
    } else {
        return $setting->default;
    }
}

function forest_adventure_tour_sanitize_checkbox( $input ) {
	return ( ( isset( $input ) && true == $input ) ? true : false );
}

function forest_adventure_tour_sanitize_phone_number( $phone ) {
	return preg_replace( '/[^\d+]/', '', $phone );
}

function forest_adventure_tour_sanitize_float( $input ) {
    return filter_var($input, FILTER_SANITIZE_NUMBER_FLOAT, FILTER_FLAG_ALLOW_FRACTION);
}

/* Excerpt Limit Begin */
function forest_adventure_tour_string_limit_words($string, $word_limit) {
	$words = explode(' ', $string, ($word_limit + 1));
	if(count($words) > $word_limit)
	array_pop($words);
	return implode(' ', $words);
}

// Change number or products per row to 3
add_filter('loop_shop_columns', 'forest_adventure_tour_loop_columns');
if (!function_exists('forest_adventure_tour_loop_columns')) {
	function forest_adventure_tour_loop_columns() {
		return 3; // 3 products per row
	}
}

/* Breadcrumb Begin */
function forest_adventure_tour_breadcrumb() {
	if (!is_home()) {
		echo '<a href="';
			echo esc_url(home_url());
		echo '">';
			bloginfo('name');
		echo "</a>";
		if (is_category() || is_single()) {
			the_category(', ');
			if (is_single()) {
				echo "<span> ";
					the_title();
				echo "</span>";
			}
		} elseif (is_page()) {
			echo "<span>";
				the_title();
			echo "</span> ";
		}
	}
}

function forest_adventure_tour_banner_image( $image_url ){
    global $post;

    if( is_singular() ){
        $image_url      = get_the_post_thumbnail_url( $post->ID, 'full' );
    }
    return $image_url;
}

function forest_adventure_tour_customizer_js() {
    // Enqueue the customizer script
    wp_enqueue_script( 'forest_adventure_tour-customizer-js', get_template_directory_uri() . '/assets/js/customizer.js', array( 'customize-controls' ), '1.0', true );
}
add_action( 'customize_controls_enqueue_scripts', 'forest_adventure_tour_customizer_js' );

require get_parent_theme_file_path( '/inc/class-forestadventuretour-walker-page.php' );

require get_parent_theme_file_path( '/inc/custom-header.php' );

require get_parent_theme_file_path( '/inc/template-tags.php' );

require get_parent_theme_file_path( '/inc/template-functions.php' );

require get_parent_theme_file_path( '/inc/customizer.php' );

require get_parent_theme_file_path( '/inc/font-awesome-icons.php' );

require get_parent_theme_file_path( '/inc/wptt-webfont-loader.php' );


/**
 * Register and Enqueue Scripts.
 *
 * @since Forest Adventure Tour 1.0
 */
function forestadventuretour_register_scripts() {

	$theme_version = wp_get_theme()->get( 'Version' );

	if ( ( ! is_admin() ) && is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	wp_enqueue_script( 'forestadventuretour-js', get_template_directory_uri() . '/assets/js/index.js', array(), $theme_version, false );
	wp_script_add_data( 'forestadventuretour-js', 'async', true );

}

add_action( 'wp_enqueue_scripts', 'forestadventuretour_register_scripts' );

